import 'package:dio/dio.dart';
import 'package:get/get.dart';

class AppUpgradeState {
  final RxBool _updating = RxBool(false);
  final RxDouble _progress = RxDouble(0.0);
  final RxString _currentVersion = ''.obs;

  CancelToken? cancelToken;

  /// 是否正在更新
  bool get updating => _updating.value;
  set updating(bool val) => _updating.value = val;

  /// 进度值
  double get progress => _progress.value;
  set progress(double val) => _progress.value = val;

  /// 当前版本号
  String get currentVersion => _currentVersion.value;
  set currentVersion(String val) => _currentVersion.value = val;
}
